Name:          jackson-parent
Version:       2.6.2
Release:       %mkrel 4
Group:         Development/Java
Summary:       Parent pom for all Jackson components
License:       ASL 2.0
URL:           https://github.com/FasterXML/jackson-parent
Source0:       https://github.com/FasterXML/jackson-parent/archive/%{name}-%{version}.tar.gz
# jackson-parent package don't include the license file
# reported @ https://github.com/FasterXML/jackson-parent/issues/1
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml:oss-parent:pom:)
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer)
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
Project for parent pom for all Jackson components.

%prep
%setup -q -n %{name}-%{name}-%{version}

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.6.2-4.mga6
+ Revision: 981784
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.6.2-3.mga6
+ Revision: 976469
- First rebuild of the java stack
- sync package jackson-parent with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.4.1-4.mga5
+ Revision: 805683
- Clean rebuild
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-2.mga5
+ Revision: 743067
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 pterjan <pterjan> 2.4.1-1.mga5
+ Revision: 738141
- imported package jackson-parent


* Wed Jul 02 2014 gil cattaneo <puntogil@libero.it> 2.4.1-1
- initial rpm
